> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.agentverse.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.agentverse.ai/_mcp/server.

# Get Seo Eval Results

GET https://agentverse.ai/v1/search/agents/seo/{eval_id}

Returns SEO evaluation results of an agent

Reference: https://docs.agentverse.ai/v-1/api-reference/search/get-seo-eval-results

## Request

### Path parameters

- `eval_id` (string, required) — The id of the SEO evaluation for which we want to retrieve the results

## Response

### 200

Successful Response

- `eval_id` (string, required) — Id of the SEO evaluation run that we want to check interaction details (status etc) for
- `sessions` (list of AgentSEOEvaluationSession, required) — Details of all sessions executed in this evaluation round
- `score` (integer, required) — Result score of the SEO evaluation. Range is 0-100%.

## Errors

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### AgentSEOEvaluationSession

- `session_id` (string, required) — Id of the SEO evaluation session that we want to check interaction details (status etc) for
- `interactions` (list of AgentAsi1Interaction, required) — Details of all interactions executed in this evaluation session
- `status` (string, required) — Status of session
- `success` (boolean, required) — Denotes if the conversation was successful or not
- `summary` (string, required) — Gives insights, feedback about the conversation

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### AgentAsi1Interaction

- `address` (string, required) — The address of the agent
- `status` (enum, required) — Denotes the SEO evaluation status.
  - Allowed values: `started`, `message_dispatched`, `response_received`, `success`, `failed`
- `success` (boolean, required) — Denotes if agent execution by ASI1 was successful or not.
- `request` (string, required) — Message sent to the agent.
- `response` (string, required) — Response received from the agent.
- `type` (enum, required) — Denotes if the interaction came from the SEO eval agent. By default it's 'asi1' - means it is an actual ASI1-agent interaction.
  - Allowed values: `asi1`, `seo_eval`
- `timestamp` (string, required)
- `contract` (enum, optional) — The Almanac contract where the agent is registered
  - Allowed values: `mainnet`, `testnet`
- `explanation` (string, optional, default: ) — Explanation of evaluation.
- `reasoning` (string, optional, default: ) — Explanation of evaluation.

### ValidationErrorLocItems

## Examples

**Response**

```json
{
  "eval_id": "foo",
  "sessions": [
    {
      "session_id": "foo",
      "interactions": [
        {
          "address": "foo",
          "status": "started",
          "success": true,
          "request": "foo",
          "response": "foo",
          "type": "asi1",
          "timestamp": "foo",
          "contract": "mainnet",
          "explanation": "",
          "reasoning": ""
        }
      ],
      "status": "foo",
      "success": true,
      "summary": "foo"
    }
  ],
  "score": 42
}
```

**SDK Code**

```python getSeoEvalResultsExample
import requests

url = "https://agentverse.ai/v1/search/agents/seo/eval_id"

response = requests.get(url)

print(response.json())
```

```javascript getSeoEvalResultsExample
const url = 'https://agentverse.ai/v1/search/agents/seo/eval_id';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go getSeoEvalResultsExample
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://agentverse.ai/v1/search/agents/seo/eval_id"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby getSeoEvalResultsExample
require 'uri'
require 'net/http'

url = URI("https://agentverse.ai/v1/search/agents/seo/eval_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java getSeoEvalResultsExample
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://agentverse.ai/v1/search/agents/seo/eval_id")
  .asString();
```

```php getSeoEvalResultsExample
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://agentverse.ai/v1/search/agents/seo/eval_id');

echo $response->getBody();
```

```csharp getSeoEvalResultsExample
using RestSharp;

var client = new RestClient("https://agentverse.ai/v1/search/agents/seo/eval_id");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift getSeoEvalResultsExample
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://agentverse.ai/v1/search/agents/seo/eval_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```